/*
 * Update_Manager.c
 *
 *  Created on: 2020/10/14
 *      Author: wang_q4
 */

#include "Config/Include/APP_Config.h"
#include "Abstraction/Include/OS_Interface.h"
#include "App/Update/Update_Manager.h"
#include "App/Update/Update_Ext.h"


static OS_TaskParam UpdateMgrParam;

UpdateMsg_st* UpdateMgrStdMsg;

static void UpdateMgr_task_init()
{
	;
}

static void UpdateMgr_recv_msg(uint16_t event_code, void* data, uint32_t data_size)
{
	UpdateMgrStdMsg->data_size = event_code;
	UpdateMgrStdMsg->data_buff = data;
	UpdateMgrStdMsg->data_size = data_size;

	UpdateMgr_MainProcess(UpdateMgrStdMsg);
}

void UpdateMgr_MainProcess(UpdateMsg_st* UpdateMgrStdMsg)
{
	switch(UpdateMgrStdMsg->event_code)
	{
		case  STANDBY_OUT:
			;
			break;
		default:
			break;
	}
}

static void UpdateMgr_recv_time_out()
{
	;
}

static void UpdateMgr_loop()
{
	;
}

void* Update_getTaskParam()
{
	UpdateMgrParam.queue_id = TSK_ID_UPDATE;
	UpdateMgrParam.wait_time = OS_WAIT_INFINITE;
	UpdateMgrParam.task_init = UpdateMgr_task_init;
	UpdateMgrParam.recv_msg = UpdateMgr_recv_msg;
	UpdateMgrParam.time_out = UpdateMgr_recv_time_out;
	UpdateMgrParam.loop = UpdateMgr_loop;
    return &UpdateMgrParam;
}

